This extension adds or modifies existing touchpad gestures on GNOME.

## Installation
* From GNOME extensions website [extension#4245](https://extensions.gnome.org/extension/4245/gesture-improvements/).
* From git repo.
```
git clone https://gitlab.gnome.org/harshadgavali/gnome-gestures.git/
cd gnome-gestures 
# switch to different branch, if necessary
make
make install
```

## Gestures available (including built-in ones)
|Mode                    |Fingers |Direction    | Action                               | Note                  |
| :---                   | ---:   | :---        | :---                                 | ---:                  |
|Desktop (Session)       |4       |Horizontal   |Switch workspaces                     | Default is 3-fingers  |
|                        |3       |Horizontal   |Switch windows from current workspaces| Not built-in          |
|                        |3/4     |Vertical-Up  |Show Overview                         | Default is 3-fingers  |
|                        |3/4     |Vertical-Down|Show Application-Grid                 | Not built-in          |
|Overview (Window-Picker)|2/3/4   |Horizontal   |Switch workspaces                     | Default is 2/3-fingers|
|                        |3/4     |Vertical-Up  |Show Application-Grid                 | Default is 3-fingers  |
|                        |3/4     |Vertical-Down|Hide Overview                         | Default is 3-fingers  |
|Application-Grid        |2       |Horizontal   |Switch app pages                      | Default               |
|                        |3/4     |Horizontal   |Switch workspaces                     | Default is 3-fingers  |
|                        |3/4     |Vertical-Up  |Hide Overview                         | Not built-in          | 
|                        |3/4     |Vertical-Down|Show Overvieww                        | Default is 3-fingers  |

## Customization
* For switching to windows from all workspaces using 3-fingers swipe, run 
```
gsettings set org.gnome.shell.window-switcher current-workspace-only false
```

* Add delay to alt-tab gesture, to ensure second windows get's selected, when fast swipe is done.
* Add sensitivity of swipe (touchpad swipe speed)
